### Method

# Gtk Buildable get_buildable_id

#### Declaration [src]

    const char*
    gtk_buildable_get_buildable_id (
      GtkBuildable* buildable
    )

#### Description [src]

Gets the ID of the `buildable` object.

`GtkBuilder` sets the name based on the ID attribute of the

#### Return value

Returns: | `const char*`
| The ID of the buildable object.
| The data is owned by the instance.
| The string is a NUL terminated UTF-8 string.